Bug 978886 - Ticket Monster: generated Administration section does not allow input of time in the date-time picker on initial input
Ticket Monster: generated Administration section does not allow input of time...
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TicketMonster (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.4.0
Assigned To: Pete Muir
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 05:26 EDT by Vineet Reynolds
Modified: 2013-07-17 17:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The Calendar widget that is used to set the date and time of Performances and Shows does not allow to change the default 12:00:00 PM time. Consequently, users need to reopen the widget to modify the time. To work around the issue, add the showApplyButton attribute to the rich:calendar widget in the 'src/main/webapp/admin/performance/create.xhtml' file as follows: <rich:calendar datePattern="MMM d, yyyy hh:mm:ss a" id="performanceBeanPerformanceDate" required="true" value="#{performanceBean.performance.date}" showApplyButton="true"> Then add it also in the 'src/main/webapp/admin/show/create.xhtml' file as follows: <rich:calendar datePattern="MMM d, yyyy hh:mm:ss a" id="performanceBeanAddDate" value="#{performanceBean.add.date}" showApplyButton="true"> As a result of the workaround, users will be able to modify the default Performance or Show time without having to reopen the widget.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 17:36:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDF-389 Major Resolved Revise the Git patches of TicketMonster for Forge 1.3.2 2013-11-19 04:45:01 EST
JBoss Issue Tracker WFK2-58 Major Verified Ticket Monster: generated Administration section does not allow input of time in the date-time picker on initial input 2013-11-19 04:45:03 EST

  None (edit)
Description Vineet Reynolds 2013-06-27 05:26:17 EDT
Description of problem:
Performance and Show dates can be chosen in TicketMonster via the Calendar widget. But the time is defaulted to 12:00:00 PM. This needs the calendar widget to be opened once again to modify the time.

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Click on the Performance entry in the sidebar.
2. Click on the 'Create New' button to create a new Performance.
3. Click the performance date calendar widget to choose a date for the performance.
4. Select a date for the performance.

Actual results:

The date is chosen and the time portion contains 12:00:00 PM as the value. The calendar widget needs to be opened once again to modify the time.

If the administration section was generated with JBoss Forge 1.3.1 or earlier, the time portion would not be displayed and is not editable as well.

Expected results:

The time should be editable when the calendar widget is initially opened.

Additional info:

This requires the Apply button to be enabled for the RichFaces calendar component used in TicketMonster. This was fixed upstream in the TicketMonster Git patch and in Forge 1.3.2 via FORGE-913 (to allow the calendar to display time values).
Comment 3 Vineet Reynolds 2013-07-17 17:46:24 EDT
Migrated to JIRA

Note You need to log in before you can comment on or make changes to this bug.